Bug 4764 - rfreeze - обрыв канала
: rfreeze - обрыв канала
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 14:44 MSK by Vladimir Potapov
Modified: 2015-02-27 12:42 MSK (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-12-03 14:44:07 MSK
rfreeze enable
/sbin/lsinitrd: строка 124: echo: ошибка записи: Обрыв канала
sort: запись завершилась неудачно: стандартный вывод: Обрыв канала
sort: ошибка записи
/sbin/lsinitrd: строка 131: echo: ошибка записи: Обрыв канала
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/terminal_background.png
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-netbook-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-netbook-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-netbook-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-netbook-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-netbook-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-netbook-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-netbook-1rosa
Найден образ initrd: /boot/initrd-3.14.15-nrj-netbook-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.14.15-nrj-desktop-1rosa.img
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sda5
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb1
Найден ROSA Desktop Fresh R3 (2012.1) на /dev/sdb12
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sdb16
Найден ROSA SX "CHROME" 1.0 на /dev/sdb3
Найден Fedora release 20 (Heisenbug) на /dev/sdb4
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb7
Найден unknown Linux distribution на /dev/sdb9
завершено
Режим заморозки успешно включен.      
******
После перезагрузки не сохраняется
Comment 1 Vladimir Potapov 2014-12-03 14:48:55 MSK
После перезагрузки df показывает что выключен.


# rfreeze status
Режим заморозки включен
[root@DNS-x64-R4 keleg]# rfreeze disable
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/terminal_background.png
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-netbook-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-netbook-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-netbook-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-netbook-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-netbook-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-netbook-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-netbook-1rosa
Найден образ initrd: /boot/initrd-3.14.15-nrj-netbook-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-desktop-1rosa                                                                                 
Найден образ initrd: /boot/initrd-3.14.15-nrj-desktop-1rosa.img                                                                             
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sda5                                                                                          
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb1                                                                                              
Найден ROSA Desktop Fresh R3 (2012.1) на /dev/sdb12
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sdb16
Найден ROSA SX "CHROME" 1.0 на /dev/sdb3
Найден Fedora release 20 (Heisenbug) на /dev/sdb4
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb7
Найден unknown Linux distribution на /dev/sdb9
завершено
/usr/sbin/update-grub2: строка 18: /boot/efi/EFI/rosa/grub.cfg: Нет такого файла или каталога
Режим заморозки отключен. пожалуйста, перезагрузите систему.
Comment 2 Denis Silakov 2014-12-10 17:17:09 MSK
А посмотри - у тебя команда lsinitrd есть вообще? Вполне вероятно, что такое поведение вызвано вот этим - bug #4779
Comment 3 Vladimir Potapov 2014-12-10 21:02:15 MSK
(In reply to comment #2)
> А посмотри - у тебя команда lsinitrd есть вообще? Вполне вероятно, что такое
> поведение вызвано вот этим - bug #4779

Есть эти  команды.
После последних обновлений фриз работает. Правда, на образах еще не проверял.
Comment 4 Denis Silakov 2014-12-10 21:54:46 MSK
Проблема обнаружилась в старой версии dracut 017 - при обновлении с нее эти команды исчезают. Если обновляться с другой версии либо сразу ставить современную (как это должно быть в образах), то проблемы быть не должно
Comment 5 Denis Silakov 2015-02-26 14:20:59 MSK
Advisory:
Fix check of aufs_mount module presence in initrd.

Build lists:
https://abf.io/build_lists/2441919
https://abf.io/build_lists/2441920
Comment 6 Vladimir Potapov 2015-02-27 12:25:12 MSK
rosa-freeze-0.7.5-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441919/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441920/x86_64/main/release/
************************ Advisory *******************
Fix check of aufs_mount module presence in initrd.
*****************************************************
Qa Verified